Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.qoder.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /v1/memory_stores/{memory_store_id} Retrieves the details of a single Memory Store by ID.

Path parameters

ParameterTypeRequiredDescription
memory_store_idstringYesMemory Store ID with the memstore_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT

Example request

curl -X GET "https://openapi.qoder.sh/api/v1/cloud/memory_stores/memstore_019e3bb8d50674d9b082b73709c29c87" \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK Returns a MemoryStore object.
{
  "id": "memstore_019e3bb8d50674d9b082b73709c29c87",
  "type": "memory_store",
  "name": "doc-test-store",
  "description": "Test store",
  "status": "active",
  "entry_count": 0,
  "total_size": 0,
  "metadata": {},
  "created_at": "2026-05-18T15:33:49.449264Z",
  "updated_at": "2026-05-18T15:33:49.449264Z"
}

Response fields

FieldTypeDescription
idstringUnique identifier
typestringAlways "memory_store"
namestringMemory store name
descriptionstringMemory store description
statusstringStatus: "active", "archived", or "deleted"
entry_countint64Number of memory entries
total_sizeint64Total storage size in bytes
metadataobjectCustom metadata
archived_atstringArchive time (only present when archived)
created_atstringCreation time (ISO 8601)
updated_atstringLast update time (ISO 8601)

Errors

HTTPTypeTrigger
401TOKEN_INVALIDMissing or invalid authentication token
404not_found_errorMemory Store with the given ID does not exist

Error response example

{
  "error": {
    "message": "MemoryStore 'memstore_nonexistent' was not found.",
    "type": "not_found_error"
  },
  "type": "error"
}
See Errors for the full error envelope.